PACKAGECONFIG = "experimental"

THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

PR .= "bs1"

SRC_URI = "git://git.kernel.org/pub/scm/bluetooth/bluez.git;protocol=http;rev=4989b7993ba5f79bdae9322f36ba6a46d05db346 \
	file://adv-data.patch file://multi-adv.patch file://adv-use-after-free-fix.patch file://adv-duplicate-reg.patch file://bluetooth.conf file://main.conf file://init"

S = "${WORKDIR}/git"

PV = "5.40"

do_install_append() {
	install -d ${D}/var/lib
	ln -sf ../volatile/bluetooth ${D}/var/lib/bluetooth
	install -m 0644 ${WORKDIR}/bluetooth.conf ${D}/${sysconfdir}/dbus-1/system.d/
	install -m 0644 ${WORKDIR}/main.conf ${D}/${sysconfdir}/bluetooth/
}
