SUMMARY = "Qt5 simple browser"
LICENSE = "CC-BY-3.0"
LIC_FILES_CHKSUM = "file://qml.qrc;md5=a2c0d85bcae7256534dbfe0e6513e87c"
SRC_URI[md5sum] = "bf15ec645423217a29bf72fcd265efea"
SRC_URI[sha256sum] = "98dac2313c3b30f97dee92a913479fec6835da7146d6fedd424d3f89b2a87c56"


DEPENDS = "qtwebengine"
RDEPENDS_${PN} = "qtbase-plugins \
                  qtbase-fonts \
                  qtwebengine-qmlplugins \
                  qtdeclarative-qmlplugins \
                 "

# Depends on gles2 enabled and that's not default configuration
EXCLUDE_FROM_WORLD = "1"

SRC_URI = "http://caner-desktop/sw/simple-browser-2.0.tar.gz"

inherit qmake5

do_install() {
    install -d ${D}${datadir}/${P}
    install -m 0755 ${B}/simple_browser ${D}${datadir}/${P}  
    cp -a ${S}/* ${D}${datadir}/${P}  
}

FILES_${PN}-dbg += "${datadir}/${P}/.debug"
FILES_${PN} += "${datadir}"

