DESCRIPTION="BrightSign Linux kernel"
SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.2.46-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.8-6.2.46-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "ccda03bd77db2ca79d242c3b2f101c8c"
SRC_URI[sha256sum] = "17d260c758634cdfd39e86288d5c6bdb5628316352d5fae048af30970f1ee16a"
COMPATIBLE_MACHINE = "tiger(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"
S = "${WORKDIR}/${PN}-${PV}"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${B}/.config"
}
