inherit nfsquick

BS_APPEND_DIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${BS_APPEND_DIR}/files"], d)}:"

SRC_URI += "file://lttng.sh file://lttng-release.sh file://trace-brightsign file://no-modprobe.patch"

do_install_append() {
	install -d ${D}${syscondir}/etc/init.d
	if [ "${BS_TIMEDOCTOR}" = "0" ]; then
		install -m 0755 ${WORKDIR}/lttng-release.sh ${D}${syscondir}/etc/init.d/lttng.sh
	else
		install -m 0755 ${WORKDIR}/lttng.sh ${D}${syscondir}/etc/init.d/lttng.sh
	fi

	install -d ${D}${syscondir}/etc/rc2.d
	ln -sf ../init.d/lttng.sh ${D}${sysconfdir}/rc2.d/S21lttng.sh

	install -d ${D}${syscondir}/bin
	install -m 0755 ${WORKDIR}/trace-brightsign ${D}${syscondir}/bin/trace-brightsign
}
